Pageviews
GET https://hootmaps.com/api/pageviews-advanced/
curl --request GET \
--url 'https://hootmaps.com/api/pageviews-advanced/?website_id=1' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://hootmaps.com/api/pageviews-advanced/?website_id=1' \
--header 'Authorization: Bearer {api_key}' \
| Paramètres | Détails | Description |
|---|---|---|
| website_id | Requis Entier | |
| type | Facultatif Chaîne | Valeurs autorisées : landing_page, pageview |
| session_id | Facultatif Entier | |
| visitor_id | Facultatif Entier | |
| has_bounced | Facultatif Entier | Valeurs autorisées : 0, 1 |
| search | Facultatif Chaîne | La chaîne de recherche |
| search_by | Facultatif Chaîne | Dans quel champ effectuez-vous la recherche. Les valeurs autorisées sont : path, title, referrer_host, referrer_path, utm_source, utm_medium, utm_campaign |
| datetime_field | Facultatif Chaîne | Valeurs autorisées : date |
| datetime_start | Facultatif Chaîne | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Facultatif Chaîne | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Facultatif Chaîne | Quel champ utiliser pour trier les résultats. Les valeurs autorisées sont : event_id, session_id, visitor_id, path, title, has_bounced, expiration_date, date |
| order_type | Facultatif Chaîne | L'ordre des résultats. Les valeurs autorisées sont : ASC pour un ordre croissant, et DESC pour un ordre décroissant |
| page | Facultatif Entier | Le numéro de page à partir duquel vous souhaitez obtenir des résultats. La valeur par défaut est 1 |
| results_per_page | Facultatif Entier | Combien de résultats souhaitez-vous par page. Les valeurs autorisées sont : 10, 25, 50, 100, 250, 500, 1000. La valeur par défaut est 25 |
{
"data": [
{
"id": 1,
"event_uuid": "4b3a71aeed5a4400913b84f38a11b6bf",
"session_id": 1,
"visitor_id": 1,
"website_id": 1,
"type": "pageview",
"path": "/dashboard",
"title": "Dashboard",
"referrer_host": null,
"referrer_path": null,
"utm_source": null,
"utm_medium": null,
"utm_campaign": null,
"viewport_width": 1920,
"viewport_height": 1080,
"has_bounced": false,
"expiration_date": "2027-09-13",
"datetime": "2026-09-13 06:05:47"
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total_results": 1,
"total_pages": 1
},
"links": {
"first": "https://hootmaps.com/api/pageviews-advanced?website_id=1&page=1",
"last": "https://hootmaps.com/api/pageviews-advanced?website_id=1&page=1",
"next": null,
"prev": null,
"self": "https://hootmaps.com/api/pageviews-advanced?website_id=1&page=1"
}
}
GET https://hootmaps.com/api/pageviews-advanced/{event_id}
curl --request GET \
--url 'https://hootmaps.com/api/pageviews-advanced/{event_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://hootmaps.com/api/pageviews-advanced/{event_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"event_uuid": "4b3a71aeed5a4400913b84f38a11b6bf",
"session_id": 1,
"visitor_id": 1,
"website_id": 1,
"type": "pageview",
"path": "/dashboard",
"title": "Dashboard",
"referrer_host": null,
"referrer_path": null,
"utm_source": null,
"utm_medium": null,
"utm_campaign": null,
"viewport_width": 1920,
"viewport_height": 1080,
"has_bounced": false,
"expiration_date": "2027-09-13",
"datetime": "2026-09-13 06:05:47"
}
}
DELETE https://hootmaps.com/api/pageviews-advanced/{event_id}
curl --request DELETE \
--url 'https://hootmaps.com/api/pageviews-advanced/{event_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://hootmaps.com/api/pageviews-advanced/{event_id}' \
--header 'Authorization: Bearer {api_key}' \